#include <bits/stdc++.h>

using namespace std;

typedef struct {
    int x;
    int y;
}tacka;

typedef struct {
    double duzina;
    double ugao;
}prava;

double izracunaj_duzinu(tacka a, tacka b){
    return sqrt(pow(b.x-a.x, 2)+pow(b.y-a.y, 2));
}

double izracunaj_ugao(tacka a, tacka b){
    int y = a.y-b.y;
    if(y == 0)
        return 1;
    int x = a.x-b.x;
    if(x == 0)
        return 0;
    return cos(1 / tan(y/x));
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    tacka t[n];
    for(int i=0;i<n;i++)
        cin>>t[i].x>>t[i].y;
    int broj_pravih = n * (n-1)/2;
    prava p[broj_pravih];
    for(int i=0;i<n-1;i++){
        for(int j=i+1;j<n;j++){
            p[i+j-1].duzina = izracunaj_duzinu(t[i], t[j]);
            p[i+j-1].ugao = izracunaj_ugao(t[i], t[j]);
        }
    }
    int broj_trapeza = 0;
    for(int i=0;i<broj_pravih-1;i++){
        for(int j=i+1;j<broj_pravih;j++){
            if((p[i].ugao == p[j].ugao || p[i].ugao == -p[j].ugao) && (p[i].duzina == 2 * p[j].duzina || p[i].duzina * 2 == p[j].duzina)){
                broj_trapeza++;
            }
        }
    }
    cout<<broj_trapeza;
    return 0;
}